Name:           tuxtype2
Version:        1.5.17
Release:        1%{?dist}

Summary:        Tux Typing, an educational typing tutor for children
Group:          Amusements/Games
License:        GPLv2+
URL:            http://tuxtype.sourceforge.net/
Source0:        http://alioth.debian.org/tuxtype_w_fonts-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 1.2.5, SDL_image-devel, SDL_mixer-devel, SDL_Pango-devel
BuildRequires:  SDL_ttf-devel, ImageMagick, desktop-file-utils
BuildRequires:  automake, autoconf

%description
Tux Typing is an educational typing tutor for children. It features several
different types of gameplay, at a variety of difficulty levels.


%prep
%setup -q -n tuxtype_w_fonts-%{version}


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc
rm -rf $RPM_BUILD_ROOT/%{_usr}/doc
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Tux Typing
Comment=An educational typing tutor for children.
Exec=tuxtype
Icon=tuxtype
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Game;Application;
EOF

convert -size 48x48 tuxtype.ico $RPM_BUILD_ROOT/%{_datadir}/pixmaps/tuxtype.png
desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
		     --add-category X-Fedora \
		     --vendor fedora \
		     %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO tuxtype/docs/en/howtotheme.html tuxtype/docs/en/TuxType_port_Mac.txt
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/tuxtype

%changelog
* Mon Sep 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.17-1
- update to 1.5.17 (incorporate Jonathan Dieter's changes)

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.3-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.3-3
- Autorebuild for GCC 4.3

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 1.5.3-2
- Rebuild.
- Use "make install DESTDIR=..." instead of the macro.

* Fri Feb 17 2006 Steven Pritchard <steve@kspei.com> 1.5.3-1
- Update to 1.5.3

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.5.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Mar 30 2004 Panu Matilainen <pmatilai@welho.com> 0:1.5.2-0.fdr.1
- update to 1.5.2
- remove the silly separator lines from spec
- add encoding to desktop file

* Fri Nov 28 2003 Panu Matilainen <pmatilai@welho.com> 0:1.5.1-0.fdr.2
- run aclocal + autoconf before configure
- add build dependencies for automake and autoconf

* Sat Aug 23 2003 Panu Matilainen <pmatilai@welho.com> 0:1.5.1-0.fdr.1
- Initial Fedora packaging.
